org.apache.lucene.codecs.sep

## Class IntIndexInput.Reader

- java.lang.Object
- - org.apache.lucene.codecs.sep.IntIndexInput.Reader

Enclosing class:
  IntIndexInput

    public abstract static class IntIndexInput.Reader
    extends Object

Reads int values.

### Constructor Summary

Constructors
Constructor and Description
`IntIndexInput.Reader()`

### Method Summary

Methods
`abstract int` `next()` Reads next single int

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntIndexInput.Reader

    public IntIndexInput.Reader()

### Method Detail

#### next

    public abstract int next()
                      throws IOException

Reads next single int

Throws:
  `IOException`